<?php
// -----------------------------------------------------------------------
// This file is part of AROUNDMe
//
// Copyright (C) 2003 - 2007 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
// 02110-1301, USA.
// -----------------------------------------------------------------------

?>

<?php
if (isset($_SESSION['user_id'])) {
?>
	<span class="txt_highlight"><?php echo $lang['menu_message'];?>:</span>
	
	&nbsp;
	
	<?php
	if (isset($lang['messaging']['box'])) {
	
	foreach ($lang['messaging']['box'] as $key => $i):
		if (isset($message_box) && $message_box == $key) {
			echo $i;
		}
		else {
			echo "<a href='index.php?amn=core_msg_list&amp;box=" . $key . "'>" . $i . "</a>";
		}
		echo "&nbsp;&nbsp;&nbsp;";
	endforeach;
	}
	?>
	
	<?php
	if ($page_name_short == "msg_edit") {
	?>
	<?php echo $lang['menu_compose'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_msg_edit"><?php echo $lang['menu_compose'];?></a>
	<?php }?>
	
	&nbsp;
	&#124;
	&nbsp;
	
	<span class="txt_highlight"><?php echo $lang['menu_label_view'];?>:</span>
	
	&nbsp;

	<?php
	if ($page_name_short == "me_reputation") {
	?>
	<?php echo $lang['menu_reputation'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_me_reputation"><?php echo $lang['menu_reputation'];?></a>
	<?php }?>
	
	&nbsp;
	&#124;
	&nbsp;
	
	<span class="txt_highlight"><?php echo $lang['menu_label_manage'];?>:</span>
	
	&nbsp;

	<?php
	if ($page_name_short == "me_view") {
	?>
	<?php echo $lang['menu_account'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_me_view"><?php echo $lang['menu_account'];?></a>
	<?php }?>
	
	&nbsp;

	<?php
	if ($page_name_short == "people") {
	?>
	<?php echo $lang['menu_people'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_people"><?php echo $lang['menu_people'];?></a>
	<?php }?>
	
	&nbsp;

	<?php
	if ($page_name_short == "me_ties") {
	?>
	<?php echo $lang['menu_ties'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_me_ties"><?php echo $lang['menu_ties'];?></a>
	<?php }?>
	
	&nbsp;

	<?php
	if ($page_name_short == "me_identity") {
	?>
	<?php echo $lang['menu_identity'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_me_identity"><?php echo $lang['menu_identity'];?></a>
	<?php }?>
	
	&nbsp;

	<?php
	if ($page_name_short == "fil_view") {
	?>
	<?php echo $lang['menu_files'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_fil_view"><?php echo $lang['menu_files'];?></a>
	<?php }?>
	
	&nbsp;
	<?php
	if ($page_name_short == "testimonial") {
	?>
	<?php echo $lang['menu_testimonials'];?>
	<?php 
	} else {
	?>
	<a href="index.php?amn=core_testimonial"><?php echo $lang['menu_testimonials'];?></a>
	<?php }?>
	
	&nbsp;
	
	<?php
	if ($page_name_short == "blocked") {
	?>
	<?php echo $lang['menu_blocked'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_blocked"><?php echo $lang['menu_blocked'];?></a>
	<?php }?>
	
<?php
}
else {
?>
	<span class="txt_highlight"><?php echo $lang['menu_label_language'];?>:</span>
	
	&nbsp;
	
	<?php
	if (isset($lang['arr_lang_name']) && count($lang['arr_lang_name']) > 1) {
		foreach ($lang['arr_lang_name'] as $key => $i):
			if ($key == $_SESSION['language_id']) {
				echo $i;
				echo "&nbsp;";
			}
			else {
				echo "<a href=\"index.php?amn=core_login&amp;language_id=" . $key . "\">" . $i . "</a>";
				echo "&nbsp;";
			}
		endforeach;
	}
	?>
	
	&nbsp;
	&#124;
	&nbsp;
	<span class="txt_highlight"><?php echo $lang['menu_label_do'];?>:</span>
	
	&nbsp;
	
	<?php
	if ($page_name_short == "login" && !isset($_REQUEST['dormant'])) {
	?>
	<?php echo $lang['menu_login'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_login"><?php echo $lang['menu_login'];?></a>
	<?php }?>
	
	&nbsp;
	
	<?php
	if ($page_name_short == "register") {
	?>
	<?php echo $lang['menu_register'];?>
	<?php
	} else {
	?>
	<a href="index.php?amn=core_register"><?php echo $lang['menu_register'];?></a>
	<?php }?>
	
	&nbsp;
	
	<?php 
	if ($page_name_short == "new_password") {
	?>
	<?php echo $lang['menu_password'];?>
	<?php 
	} else {
	?>
	<a href="index.php?amn=core_new_password"><?php echo $lang['menu_password'];?></a>
	<?php } ?>
<?php }?>
<br />
